Skip to main content
GET
Get All Inventory Items

Headers

x-trackstar-api-key
string
required

Your organization-level Trackstar API key.

Example:

"<x-trackstar-api-key>"

x-trackstar-access-token
string
required

Your user's access token for a specific integration (ShipHero, Extensiv, etc).

Example:

"<x-trackstar-access-token>"

Query Parameters

page_token
string | null

The page token to use to retrieve the next page of results. If this field is omitted, there are no subsequent pages.

Example:

"page_token"

limit
integer

The maximum number of items to return. The default is 1000.

Required range: 1 <= x <= 1000
Example:

1000

ids
WmsInventoryItemIdsQueryParam · object
created_date
WmsInventoryItemCreated_DateQueryParam · object

Use this parameter to retrieve items filtered to a specific date range. For example, to get all items between 2023-03-10 and 2023-03-22, you would send created_date[gte]=2023-03-10T00:00:00Z&created_date[lte]=2023-03-22T00:00:00Z. See the filtering docs for more. The date format must always be YYYY-MM-DDTHH:MM:SSZ. Note: it is much more efficient to use a combination of gte/lte than it is to use gt/lt.

updated_date
WmsInventoryItemUpdated_DateQueryParam · object

Same syntax as created_date.

trackstar_created_date
WmsInventoryItemTrackstar_Created_DateQueryParam · object

Same syntax as created_date.

trackstar_updated_date
WmsInventoryItemTrackstar_Updated_DateQueryParam · object

Same syntax as created_date.

trackstar_tags
WmsInventoryItemTrackstar_Tags_FlatQueryParam · object

Filter by trackstar tags. Dict-shaped tags should be queried as "key:value" strings.

warehouse_customer_id
WmsInventoryItemWarehouse_Customer_IdQueryParam · object

The ID of the customer associated with the resource

sku
WmsInventoryItemSkuQueryParam · object

The SKU of the inventory item.

active
boolean

Whether or not the inventory item is active.

Example:

true

Response

Successful response

data
WmsInventoryItemApiItemSchema · object[]
required
next_token
string | null
required

See pagination for more details.

Example:

"next_token"

total_count
integer
required

The number of items returned.

Example:

1